//  Beispiel "LED an GPIO blinkt"
//  
//  Unter Verwendung der IoT32 Brick Library

#include <all_IoT32.h>

bool Status = false;
int PIN = 2;

void setup()
{
  IoT_Init(true);               // Beinhaltet Serial.begin
  pinMode(PIN, OUTPUT);         // GPIO auf Ausgabe schalten
  IoT_DisplayClear(16);
  IoT_DisplayAlignText(TEXT_ALIGN_CENTER);
  IoT_DisplayDrawText(63, 2, "LED an");
  IoT_DisplayDrawText(63, 22, "PIN " + strform(PIN, 48, 2, false));
  IoT_DisplayDrawText(63, 42, "blinkt");
  IoT_DisplayUpdate();
}

void loop()
{
  if (Status)
  {
    digitalWrite(PIN, HIGH);                      // GPIO auf 3,3V schalten
  }
  else
  {
    digitalWrite(PIN, LOW);                       // GPIO auf 0V schalten
  }
  delay(1000);
  Status = not(Status);
}

